%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	A simple text editor for Xfce
Name:		mousepad
Version:	0.4.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		https://www.xfce.org
Source:		https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
Patch1:		0001-Port-to-gtksourceview-4.patch
Patch2:		0002-Fix-build-with-gtksourceview-4.patch
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfconf-0)

%description
Mousepad is a simple text editor for Xfce and originally based on Leafpad.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
export CFLAGS="%{optflags} -Wno-deprecated-declarations"
%configure2_5x \
	--enable-dbus=yes \
	--enable-keyfile-settings \
	--enable-gtk3=yes

%make_build

%install
%make_install

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.gschema.xml
%{_datadir}/polkit-1/actions/org.xfce.mousepad.policy
